# LegacyFlavour Mod for Cities Skylines 2

Welcome to LegacyFlavour, a mod that blends the charm of Cities Skylines 1 with the advanced gameplay of Cities Skylines 2. Our goal is to enhance your city-building experience by merging nostalgic elements from the original game with the new features of the sequel.

## New Features in v0.0.4

1. **UI System via HookUI**: Integrates with [HookUI](https://github.com/Captain-Of-Coit/hookui/releases) to offer an advanced UI system, elevating your control and customization options.

2. **Configurable Zoning Configuration**: Customize zoning options like never before. Adjust colours, borders, and more, directly from the UI.

3. **Enhanced Control over Weather and Time**: Control weather and time settings with new features, including saving these states between game reloads.

4. **Easy UI Access**: Access the new UI menu conveniently through the HookUI button located in the top left corner.

5. **Live UI Configurations**: Experience live changes in the game as you adjust settings. Utilize colour pickers and other interactive elements for an immersive configuration process.

6. **Buttons, buttons!**: You can set colour blindness profile sets to the vanilla colours, reset them to Legacy Flavour's default.

(You can access the menu by clicking the HookUI button at the top left of the screen.)

## Features

- **Unit Display for Road Tools**: Adds a 'Unit' display to road tools for precise planning and building. Requires Imperial units set in game options.

- **Transparent Zone Grid Cells**: Introduces transparent zone grid cells for a cleaner and more aesthetically pleasing city layout.

- **Re-worked color Zone colour scheme**: Changes the colour scheme of zones to better match Cities Skylines 1. (UI icons will be updated too in the near future).

- **Color-Blindness Modes**: This is WIP and currently in testing. Cycle zone colours to match a scheme for specific types of colour blindness.

- **Toggle Shortcuts**:

- ALT+Z to toggle the zone colours mod. 
- SHIFT+Z to cycle through colour blindness modes.
- ALT+S to toggle Sticky Infomode Whiteness. 
- SHIFT+W to toggle Sticky Infomode Whiteness value override.
- ALT+R to reload the config file
- ALT+U to toggle Units display

- **Configure Zone colours via JSON**: Config file in mod directory to allow custom values.

- **Dynamic Zone Borders**: If it snows zone borders will switch colour to be more visible on snow. **UPDATE** this now calculates snow coverage so is more accurate. It may have a delay as updates occur periodically to prevent performance hits.

- **Dynamic UI Icons**: UI icons for zones now adapt to match the configured colours. These are dynamically generated from the games icons based on config settings.

- **Sticky Infomode Whiteness**: Shortcuts to override infomode 'whiteness' setting to stop it constantly popping up.

## Installation

### Requirements

- **BepInEx v5**: This mod requires BepInEx v5. Ensure you have this installed in your Cities Skylines 2 game.
- **HookUI**: This mod also requires HookUI.

### Download and Install

1. Download LegacyFlavour from this ThunderStore.io page.
2. Extract the downloaded files.
3. Copy the extracted files to the `BepInEx/plugins` folder in your Cities Skylines 2 directory.
4. Start Cities Skylines 2, and enjoy the mod!

## Support and Contributions

- If you encounter any issues or have questions, feel free to open an issue on our [GitHub repository](https://github.com/Cities2Modding/LegacyFlavour).
- Contributions are welcome! If you have suggestions or improvements, please submit them via GitHub.

## Disclaimer

LegacyFlavour is a fan-created mod and is not officially associated with the Cities Skylines franchise.

## Acknowledgements

Thanks to the dedicated Cities Skylines modding community for their support and creativity.

---

Happy city building with LegacyFlavour! Rediscover the legacy with a modern twist. 🌃🌉
